#ifndef __DATENBANK_H__
#define __DATENBANK_H__

/*
    Copyright (C) 2008  Johannes Bretscher

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/

#include <QString>
#include <QStringList>
#include <QSqlDatabase>

//! \brief Zugriffsfunktionen auf die Tagdatenbank
class Datenbank {
  QSqlDatabase m_db;	//!< Tagdatenbank

  void createDatabase();

  public:
  Datenbank(const QString&);
  ~Datenbank();

  QStringList getTags(const QString&);
  void writeTags(const QString&, const QStringList&);
  QStringList findByTag(const QString&);

  QStringList getAllTags();

};

#endif
